明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 394|回复: 4

[提问] 关于entmake生成普通块的问题

[复制链接]
发表于 2018-1-11 23:49 | 显示全部楼层 |阅读模式

在网上找了一段代码,用entmake生成普通块。但是发现了一个问题,生成的块用块编辑时块的位置跳动,用这个块做出的最大包围框位置也跑掉了,求高手优化,代码作者不详,还是很感谢原作者提供的代码



  1. (defun emkblk (ss pt name / i)
  2.   (entmake (list '(0 . "block") (cons 2 name) '(70 . 0) (cons 10 pt)))
  3.   (repeat (setq i (sslength ss))    (entmake (cdr (entget (ssname ss (setq i (1- i))))))  )
  4.   (entmake '((0 . "ENDBLK")))
  5.   (command "_.erase" ss "")
  6.   (entmake (list '(0 . "INSERT") (cons 2 name) (cons 10 pt)))
  7. )



本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2018-1-12 11:55 | 显示全部楼层
你说的这种问题我在手动建块的时候也遇到过,不知道是什么原因
发表于 2018-1-12 17:44 | 显示全部楼层
只能证明和这段代码关系不大。。
传dwg
传获取包围框的lsp
发表于 2018-1-13 09:09 | 显示全部楼层
需在原点制块,即:PT = '(0 0 0)
其它的,需自己思索
发表于 2018-1-13 23:52 | 显示全部楼层
加一句(command "ucs" "w")
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-10-18 01:15 , Processed in 0.219246 second(s), 28 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表